Subject: [secdir] Review of draft-ietf-avtext-splicing-notificaiton-04

From: "Matt Miller (mamille2)" <[email-masked]>
Date: Tue, 1 Mar 2016 21:20:10 +0000

I am the coincidentally-assigned Gen-ART and SecDir reviewer
for this draft. The General Area Review Team (Gen-ART) reviews all IETF
documents being processed by the IESG for the IETF Chair.  The Security
Directorate reviews all IETF documents being processed by the IESG for
the security area directors.  Please treat these comments just like any
other last call comments that arrived on time.

For more information on Gen-Art, please see the FAQ at

< http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq >.

Document: draft-ietf-avtext-splicing-notification-04
Reviewer: Matthew Miller
Review Date: 2016-02-26
IETF LC End Date: 2016-02-26
IESG Telechat date: N/A

Summary:

Ready with a minor issue.

Major issues:

Minor issues:

* I didn't see any discussion of the case where the RTP extension and the RTCP message don't agree on the interval.  Well-behaved software shouldn't do this, but it seems like something that could happen.  I'm not sure what should be done in this case, but it seems to me like something to at least acknowledge it.

Nits/editorial comments:

* idnits is reporting a bad reference to "3711" Section 7 "Security Considerations", and that RFC 3711 is an unused normative reference.  I think this is because the pointer to it in Section 7 doesn't start with "RFC".

* In Section 1. "Introduction", it seems to me "However" would be a better word than "Nevertheless" to use here.

--
- m&m

Matt Miller
Cisco Systems, Inc.

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Wed, 2 Mar 2016 02:23:40 +0000

Hi Matt,

Please see my replies inline.

BR,
Rachel

> -----Original Message-----
> From: Matt Miller (mamille2) [mailto:[email-masked]]
> Sent: Wednesday, March 02, 2016 5:20 AM
> To: [email-masked]; The IESG;
> [email-masked]; [email-masked]
> Subject: Review of draft-ietf-avtext-splicing-notificaiton-04
> 
> I am the coincidentally-assigned Gen-ART and SecDir reviewer for this draft.
> The General Area Review Team (Gen-ART) reviews all IETF documents being
> processed by the IESG for the IETF Chair.  The Security Directorate reviews all
> IETF documents being processed by the IESG for the security area directors.
> Please treat these comments just like any other last call comments that arrived
> on time.
> 
> * I didn't see any discussion of the case where the RTP extension and the RTCP
> message don't agree on the interval.  Well-behaved software shouldn't do this,
> but it seems like something that could happen.  I'm not sure what should be
> done in this case, but it seems to me like something to at least acknowledge it.

[Rachel]: Good question. Since RTCP message and RTP extension packets are all from the same main RTP sender, it's the sender's duty to keep them contain the same interval information. So I don't see any chance that inconsistent intervals appear. But, I do think it's worth to mention it in the draft. How about adding a sentence in first paragraph, Section 3.2, like this
"The main RTP sender MUST make sure the splicing information contained in the RTCP splicing notification message consistent with the information included in the RTP header extensions. "
So what do you think?

> 
> Nits/editorial comments:
> 
> * idnits is reporting a bad reference to "3711" Section 7 "Security
> Considerations", and that RFC 3711 is an unused normative reference.  I think
> this is because the pointer to it in Section 7 doesn't start with "RFC".

[Rachel]: Right. Will fix it.
> word than "Nevertheless" to use here.

[Rachel]: All right.

---

From: "Matt Miller (mamille2)" <[email-masked]>
Date: Wed, 2 Mar 2016 23:45:25 +0000

Thanks for responding, Rachel.

I think your proposed text is good.  I'm not sure what more can be said or done, but this at least acknowledges it.

--
- m&m

Matt Miller
Cisco Systems, Inc.

> On Mar 1, 2016, at 19:23, Huangyihong (Rachel) <[email-masked]> wrote:
> 
> Hi Matt,
>